## golang 1.1.2

=== debian/changelog ===
golang (2:1.1.2-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1211749, #1202027). Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Aug 2013 14:06:23 +0100

golang (2:1.1.2-2) unstable; urgency=low

  * Build golang-go-linux-* for each architecture (Thanks James Page)
    (Closes: #719611)
  * Update lintian-overrides to override statically-linked-binary and
    unstripped-binary-or-object for all of golang-go

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Aug 2013 08:13:40 +0200

golang (2:1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Relicense debian/ under the Go license to match upstream. All copyright
    holders agreed to this. (Closes: #716907)
  * golang-mode: don’t install for a number of emacs versions which are not
    supported upstream (Thanks Kevin Ryde) (Closes: #702511, #717521)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 13 Aug 2013 13:47:58 +0200

golang (2:1.1.1-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2013 15:35:05 +0100

golang (2:1.1.1-3ubuntu3) saucy; urgency=low

  * Disable upstream-unsupported stripping of binaries to fix go crash
    (LP: #1200255).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 17 Jul 2013 10:43:11 +0000

golang (2:1.1.1-3ubuntu2) saucy; urgency=low

  * d/control,control.cross: Update Breaks/Replaces for Ubuntu
    versions to fix broken upgrades, regenerate control file. 

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jul 2013 14:54:48 +0100

golang (2:1.1.1-3ubuntu1) saucy; urgency=low

  * 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jul 2013 11:14:07 +0100
