## golang 1.2

=== debian/changelog ===
golang (2:1.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
  * Dropped changes, no longer required:
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 11:13:08 +0000

golang (2:1.2-1) unstable; urgency=low

  * New upstream release.
  * drop patches/archive-tar-fix-links-and-pax.patch, it is merged upstream
  * godoc(1) is now in the Debian package golang-go.tools, it was moved into a
    separate repository by upstream.
  * move patches/godoc-symlinks.diff to golang-go.tools

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 23:57:24 +0100

golang (2:1.1.2-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Nov 2013 12:12:43 +0000

golang (2:1.1.2-3) unstable; urgency=low

  * cherry-pick upstream commit: archive-tar-fix-links-and-pax.patch
    (Closes: #730566)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 26 Nov 2013 18:59:27 +0100
