=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -59,7 +60,7 @@
 Replaces: golang-weekly-doc
 Conflicts: golang-weekly-doc
 Provides: golang-weekly-doc
-Depends: ${misc:Depends}, golang-go, libjs-jquery
+Depends: ${misc:Depends}, golang-go
 Architecture: all
 Section: doc
 Description: Go programming language compiler - documentation
@@ -128,8 +129,8 @@
 Package: golang-go-linux-amd64
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_amd64
  This package contains the Go standard library,
  compiled for linux_amd64.
@@ -146,8 +147,8 @@
 Package: golang-go-linux-arm
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_arm
  This package contains the Go standard library,
  compiled for linux_arm.
@@ -164,8 +165,8 @@
 Package: golang-go-linux-386
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_386
  This package contains the Go standard library,
  compiled for linux_386.
@@ -182,8 +183,8 @@
 Package: golang-go-freebsd-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_amd64
  This package contains the Go standard library,
  compiled for freebsd_amd64.
@@ -200,8 +201,8 @@
 Package: golang-go-freebsd-arm
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_arm
  This package contains the Go standard library,
  compiled for freebsd_arm.
@@ -218,8 +219,8 @@
 Package: golang-go-freebsd-386
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_386
  This package contains the Go standard library,
  compiled for freebsd_386.
@@ -236,8 +237,8 @@
 Package: golang-go-windows-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for windows_amd64
  This package contains the Go standard library,
  compiled for windows_amd64.
@@ -254,8 +255,8 @@
 Package: golang-go-windows-386
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for windows_386
  This package contains the Go standard library,
  compiled for windows_386.
