=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Recommends: golang-go.tools
+Suggests: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
