=== debian/rules ===
--- 
+++ 
@@ -71,15 +71,8 @@
 		mkdir -p $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$(dirname $$file); \
 		mv pkg/$$file $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$file; \
 	done
+	mv bin/go bin/golang-go
 	dh_install --fail-missing
-	# Replace jquery in the html documentation with a symlink to libjs-jquery.
-	-rm $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js && \
-	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js
-	# Make scripts executable
-	chmod +x $(CURDIR)/debian/golang-src/usr/share/go/src/cmd/godoc/setup-godoc-app.bash
-	# Remove testdata and tests from installed src directory
-	find $(CURDIR)/debian/golang-src/usr/share/go/src -type d -name testdata -prune -execdir rm -rf {} \;
-	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name '*_test.go' -delete
 	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
 	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
 	# Remove Plan9 rc(1) scripts
@@ -106,6 +99,9 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+override_dh_shlibdeps:
+	dh_shlibdeps -Xtestdata -Xtest
 
 debian/build.stamp:
 	rm -f debian/build.stamp
