=== debian/watch ===
version=3
http://code.google.com/p/go/downloads/list .*/go(.*)\.src\.tar\.gz
