=== debian/changelog ===
golang (2:1.3-3) unstable; urgency=medium

  * don’t depend on emacs23, depend on emacs instead (Closes: #754013)
  * install include/ in golang-src, VERSION in golang-go (Closes: #693186)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 07 Jul 2014 08:30:50 +0200

golang (2:1.3-2) unstable; urgency=medium

  * Add /usr/lib/go/test symlink
  * Build with GO386=387 to favor the 387 floating point unit over sse2
    instructions (Closes: #753160)
  * Add debian/patches/0001-backport-delete-whole-line.patch to fix a
    deprecation warning about flet in the emacs part of golang-mode
    (Closes: #753607)
  * Migrate to emacsen >2 (Closes: #753607)
  * Backport two patches to improve archive/tar performance (for docker):
    debian/patches/0002-archive-tar-reuse-temporary-buffer-in-writeHeader.patch
    debian/patches/0003-archive-tar-reuse-temporary-buffer-in-readHeader.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 23:33:46 +0200

golang (2:1.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches merged upstream:
    - debian/patches/add-tar-xattr-support.patch
    - debian/patches/add-tar-xattr-support.patch
  * Fix debian/watch (Thanks Tianon) (Closes: #748290)
  * Remove dangling symlink /usr/lib/go/lib/godoc (Closes: #747968)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 19 Jun 2014 09:23:36 +0200
