=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
@@ -19,7 +18,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Suggests: golang-go.tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -103,7 +102,8 @@
 
 Package: golang-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacsen, emacsen-common (>= 1.4.14)
+Depends: ${misc:Depends}, emacs | emacsen, emacsen-common (>= 2.0.8)
+Conflicts: emacsen-common (<< 2.0.0)
 Suggests: golang-go
 Description: Go programming language - mode for GNU Emacs
  This package provides a GNU Emacs major mode for editing code in
@@ -273,3 +273,5 @@
 Package: golang-go-darwin-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
