=== debian/watch ===
version=3
http://code.google.com/p/go/wiki/Downloads .*/go([0-9.]*)\.src\.tar\.gz
