## golang 1.3.1

=== debian/changelog ===
golang (2:1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 13 Aug 2014 09:15:58 +0200

golang (2:1.3-4) unstable; urgency=medium

  [ Tianon Gravi ]
  * update debian/watch for upstream's latest move (Closes: #756415)
  * backport archive/tar patch to fix PAX headers (Closes: #756416)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 02 Aug 2014 21:02:24 +0200
