## golang 1.3.2

=== debian/changelog ===
golang (2:1.3.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.
    - dropped patches (now upstream):
      - d/p/issue27650045_40001_50001.diff
      - d/p/issue28050043_60001_70001.diff
      - d/p/issue54790044_100001_110001.diff

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 18 Nov 2014 15:12:26 -0600

golang (2:1.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 26 Sep 2014 23:21:45 +0200
