=== debian/changelog ===
golang (2:1.3.3-1ubuntu4~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Oct 2015 20:00:31 -0700

golang (2:1.3.3-1ubuntu4) vivid; urgency=medium

  * Build empty golang-go and golang-src packages on architectures
    without golang support, and depend on gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Mar 2015 21:46:25 +0100

golang (2:1.3.3-1ubuntu3) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 14:08:51 +0100

golang (2:1.3.3-1ubuntu2) vivid; urgency=medium

  * Install gofmt as an alternative.
  * Update the update-alternatives dance.
  * golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
  * Bump the alternative priority to 100, see Debian #779503.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 13:29:34 +0100

golang (2:1.3.3-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1407409) Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 04 Jan 2015 12:18:38 +0100

golang (2:1.3.3-1) unstable; urgency=medium

  * New upstream version (https://code.google.com/p/go/source/list?name=go1.3.3)
    - time: removed from tests now obsolete assumption about Australian tz
      abbreviations
    - net: temporarily skip TestAcceptIgnoreSomeErrors
    - runtime: hide cgocallback_gofunc calling cgocallbackg from linker
    - runtime: fix GOTRACEBACK reading on Windows, Plan 9
    - nacltest.bash: unset GOROOT
    - cmd/5l, cmd/6l, cmd/8l: fix nacl binary corruption bug
  * Add Paul and myself as uploaders. Many, many thanks to Michael for his work
    so far on this package (and hopefully more to come).

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 12 Dec 2014 16:11:02 -0500
