=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+           Paul Tagliamonte <paultag@debian.org>,
+           Tianon Gravi <admwiggin@gmail.com>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
@@ -12,14 +14,15 @@
 Homepage: http://golang.org/
 
 Package: golang-go
-Architecture: i386 amd64 armel armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 	 golang-src (>= ${source:Version}),
-	 golang-go-linux-${go:Hostarch} (= ${source:Version})
+	 golang-go-linux-${go:Hostarch} (= ${source:Version}) [armel armhf amd64 i386],
+	 gccgo [!armel !armhf !amd64 !i386]
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
-Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
+Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools, golang-go (<< 2:1.3.3-1ubuntu2)
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Suggests: golang-go.tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -40,7 +43,7 @@
 Conflicts: golang-weekly-src
 Provides: golang-weekly-src
 Breaks: golang-go (<< 2:1-3~)
-Architecture: i386 amd64 armel armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Go programming language compiler - source files
  The Go programming language is an open source project to make
@@ -269,7 +272,3 @@
  .
  The files contained in this package are independent of the host architecture,
  that is, you can use golang-go-linux-amd64 to generate a binary for
- linux_amd64, even though you are executing the Go compiler on linux_386.
-
-Package: golang-go-darwin-amd64
-Architecture: all
