=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 libexecdir := /usr/lib/go
 datadir := /usr/share/go
 bindir := /bin
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+golang_archs = armel armhf amd64 i386
 
 # We loop over supported operating systems and architectures multiple times,
 # so these two variables contain a centralized version of that code.
@@ -32,11 +35,13 @@
 override_dh_auto_build: debian/build.stamp
 
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 ifeq ($(RUN_TEST), true)
 	cd $(CURDIR)/src && \
 	$(CURDIR)/debian/test.bash $(GOROOT)/pkg/tool/$(GOHOSTOS)_$(GOHOSTARCH);
 else
 	:
+endif
 endif
 
 override_dh_compress:
@@ -56,6 +61,7 @@
 	mv debian/control.tmp debian/control
 
 override_dh_install:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 	-${FOR_GO_ARCH} \
 		echo "pkg/$${os}_$${arch} /usr/lib/go/pkg/" > debian/golang-go-$$os-$$arch.install; \
 		[ "$$arch" = "amd64" ] && [ "$$os" = "linux" ] && echo "pkg/linux_amd64_race /usr/lib/go/pkg" >> debian/golang-go-$$os-$$arch.install; \
@@ -72,6 +78,7 @@
 		mv pkg/$$file $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$file; \
 	done
 	mv bin/go bin/golang-go
+	mv bin/gofmt bin/golang-gofmt
 	dh_install --fail-missing
 	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
 	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
@@ -88,6 +95,7 @@
 	# Touch built and installed files and directories to have same timestamp
 	touch $(CURDIR)/debian/golang-go/usr/lib/go/pkg
 	find $(CURDIR)/debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;
+endif
 
 override_dh_strip:
 	# strip disabled as golang upstream doesn't support it and it makes go
@@ -104,6 +112,7 @@
 	dh_shlibdeps -Xtestdata -Xtest
 
 debian/build.stamp:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 	rm -f debian/build.stamp
 	mkdir -p $(GOBIN)
 	# Build native tools first, then bootstrap all other GOOS/GOARCH combinations.
@@ -122,6 +131,9 @@
 		cd ..; \
 	${FOR_GO_ARCH_END}
 	>debian/build.stamp
+else
+	touch debian/build.stamp
+endif
 
 opt_no_act =
 RUN_TEST := true
@@ -176,7 +188,7 @@
 else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
     GOHOSTARCH := arm
 else
-    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
+#    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
 endif
 
 ifeq ($(DEB_HOST_ARCH_CPU), i386)
@@ -197,7 +209,7 @@
     $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
 endif
 else
-    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
+#    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
 endif
 
 export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS
